# Package org.apache.ignite.internal.processors.platform

Interface Summary
Interface | Description
--- | ---
PlatformConfiguration | Platform configuration marker interface.
PlatformContext | Platform context.
PlatformEventFilterListener | Platform event filter and listener.
PlatformProcessor | Platform processor.
PlatformTarget | Interop target abstraction.

Class Summary
Class | Description
--- | ---
PlatformNoopProcessor | No-op processor.

Exception Summary
Exception | Description
--- | ---
PlatformException | Interop checked exception.
PlatformExtendedException | Denotes an exception which has some data to be written in a special manner.
PlatformNativeException | Exception occurred on native side.
PlatformNoCallbackException | Exception raised when interop callback is not set in native platform.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015